Problem import customer refunds on bank statements

Bug #1211202 reported by Michael Delvoye on 2013-08-12
46
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Odoo Addons (MOVED TO GITHUB)
Confirmed
Medium
OpenERP R&D Addons Team 3

Bug Description

Hello,
i try to import in my bank statements a customer refund but i have this error :

2013-08-12 07:51:40,055 4602 ERROR MISYL1301 openerp.netsvc: ValidateError
Error occurred while validating the field(s) amount: The amount of the voucher must be the same amount as the one on the statement line.
Traceback (most recent call last):
  File "/opt/openerp/server/openerp/netsvc.py", line 292, in dispatch_rpc
    result = ExportService.getService(service_name).dispatch(method, params)
  File "/opt/openerp/server/openerp/service/web_services.py", line 626, in dispatch
    res = fn(db, uid, *params)
  File "/opt/openerp/server/openerp/osv/osv.py", line 188, in execute_kw
    return self.execute(db, uid, obj, method, *args, **kw or {})
  File "/opt/openerp/server/openerp/osv/osv.py", line 144, in wrapper
    raise except_osv(inst.name, inst.value)
except_osv: ('ValidateError', u'Error occurred while validating the field(s) amount: The amount of the voucher must be the same amount as the one on the statement line.')

Thanks for your help

Michael Delvoye (mdelvoye) wrote :

How to generate the bug

1. create a new database (sales + accounting French)
2. create a customer
3. create a customer invoice
4. create a customer refund with the customer invoice created

5. import on bank statement the customer invoice => OK
6. import on bank statement the customer refund => KO : You'll have the error's message

Amit Parik (amit-parik) on 2013-08-12
Changed in openobject-addons:
assignee: nobody → OpenERP R&D Addons Team 3 (openerp-dev-addons3)
importance: Undecided → Medium
status: New → Confirmed
Fraser (blueboat) wrote :

I am also keen to see this fixed as it is preventing us from closing our accounting period.

Dawn Richardson (r-dawn) wrote :

I created a patch for this which seems to solving the problem for us currently. It can be found in the related branches above. Please feel free to test as I believe it should help in your scenario's too...

Amit Parik (amit-parik) on 2013-10-21
tags: added: bankstatement
Michael Delvoye (mdelvoye) wrote :

Thanks for the patch.
Can you explain me how to install it ?

I have git so i think it could be easy but i don't know the how to?

MDEL

JAN VANDEWEYER (jan-vandeweyer) wrote :

Hi

this patch is not solving the issue in dept,

openerp should come with a solution fast

It was working fine in 6 why they started to play with vouchers and signs in 7 i have no idea.

I will investigate how i can get the functionality from 6 back in 7

By the way did anyone also tried to import unreconciled payments in to a bank statements
also this i not available
Jan

Dawn Richardson (r-dawn) wrote :

Oh dear, something appears to have gone wacky with my branch. Heres the actual git patch file for you to test instead...

Just run 'patch -p1 < 171013_bank_reconcile_refunds.patch' on the command line, assuming your git directory is in your openerp/addons/

Hello,

not sure if that's the same bug or not, but it's worth mentioning it looks similar as:
https://bugs.launchpad.net/openobject-addons/+bug/1257337

tags: added: maintenance
Florent THOMAS (mailinglist) wrote :

This patch corrected the problem for me

Fraser (blueboat) wrote :

The patch got me one step further as I no longer saw the mentioned error message.
HOWEVER, this does not work if the transaction in question is in another currency. The new error message is:

"ValidateError
Error occurred while validating the field(s) amount_currency: The amount expressed in the secondary currency must be positive when the journal item is a debit and negative when if it is a credit. "

BTW, when will this bug be fixed in the official release?

Fixed at revision : http://bazaar.launchpad.net/~openerp/openobject-addons/7.0/revision/9946 with revision id : <email address hidden>

I will be out of office starting July Friday 18th included, returning July Monday 28th with limited access to my emails.

For urgents matters, please contact Nicolas Rigo, <email address hidden>, otherwise I will respond to your emails as soon as possible upon my return.

On 17 Jul 2014, at 15:22, Dharti Ratani(OpenERP) <email address hidden> wrote:

>
> Fixed at revision : http://bazaar.launchpad.net/~openerp/openobject-
> addons/7.0/revision/9946 with revision id :
> <email address hidden>
>
> --
> You received this bug notification because you are subscribed to Odoo
> Addons.
> https://bugs.launchpad.net/bugs/1211202
>
> Title:
>  Problem import customer refunds on bank statements
>
> Status in Odoo Addons:
>  Confirmed
>
> Bug description:
>  Hello,
>  i try to import in my bank statements a customer refund but i have this error :
>
>  2013-08-12 07:51:40,055 4602 ERROR MISYL1301 openerp.netsvc: ValidateError
>  Error occurred while validating the field(s) amount: The amount of the voucher must be the same amount as the one on the statement line.
>  Traceback (most recent call last):
>    File "/opt/openerp/server/openerp/netsvc.py", line 292, in dispatch_rpc
>      result = ExportService.getService(service_name).dispatch(method, params)
>    File "/opt/openerp/server/openerp/service/web_services.py", line 626, in dispatch
>      res = fn(db, uid, *params)
>    File "/opt/openerp/server/openerp/osv/osv.py", line 188, in execute_kw
>      return self.execute(db, uid, obj, method, *args, **kw or {})
>    File "/opt/openerp/server/openerp/osv/osv.py", line 144, in wrapper
>      raise except_osv(inst.name, inst.value)
>  except_osv: ('ValidateError', u'Error occurred while validating the field(s) amount: The amount of the voucher must be the same amount as the one on the statement line.')
>
>  Thanks for your help
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openobject-addons/+bug/1211202/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers